com.ibm.openpages.api.application

## Enum CopyConflictBehavior

- java.lang.Object
- - java.lang.Enum<CopyConflictBehavior>
  - - com.ibm.openpages.api.application.CopyConflictBehavior

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CopyConflictBehavior>

      public enum CopyConflictBehavior
      extends java.lang.Enum<CopyConflictBehavior>

  Specifies the desired behavior when a GRCObject with the same name already exists in the target location of a copy. Sets the desired behavior on the CopyObjectOptions operation.
  See Also:
    `IApplicationService.copyToParent(com.ibm.openpages.api.metadata.Id, java.util.List, CopyObjectOptions)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATECOPYOF` Performs the copy.
    `ERROR` Throws OpenPagesException if a conflict exists.
    `OVERWRITE` Overwrites the GRCObject at the destination with the GRCObject from the source.
    `USEEXISTING` Keeps the GRCObject at the destination and associates it to the source objects being moved.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CopyConflictBehavior` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CopyConflictBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATECOPYOF

          public static final CopyConflictBehavior CREATECOPYOF

      Performs the copy. This operation will prefix the name of the copy in the target location with 'Copy of' for the first instance of a conflict, or 'Copy (n) of' for the nth instance of a conflict.

    - #### OVERWRITE

          public static final CopyConflictBehavior OVERWRITE

      Overwrites the GRCObject at the destination with the GRCObject from the source.

    - #### USEEXISTING

          public static final CopyConflictBehavior USEEXISTING

      Keeps the GRCObject at the destination and associates it to the source objects being moved.

    - #### ERROR

          public static final CopyConflictBehavior ERROR

      Throws OpenPagesException if a conflict exists.

  - ### Method Detail

    - #### values

          public static CopyConflictBehavior[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CopyConflictBehavior c : CopyConflictBehavior.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CopyConflictBehavior valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.